#include <bits/stdc++.h>
using namespace std;
void np(int a[],int n)
{
    for(int i=0;i<n;i++)
    {
        if(a[i]==0)cout<<"0"<<endl;
        if(a[i]==1)cout<<"1"<<endl;
        if(a[i]==2)cout<<"10"<<endl;
        if(a[i]==3)cout<<"11"<<endl;
        if(a[i]==4)cout<<"100"<<endl;
        if(a[i]==5)cout<<"101"<<endl;
        if(a[i]==6)cout<<"110"<<endl;
        if(a[i]==7)cout<<"111"<<endl;
        if(a[i]==8)cout<<"1000"<<endl;
        if(a[i]==9)cout<<"1001"<<endl;
    }
    return;
}
int main()
{
ifstream f1("DOINP.INP");
   int a[10000],n,i;
   f1>>n;
   for(i=0;i<n;i++)
   {
       f1>>a[i];
   }
   f1.close();
   ofstream f2("DOINP.OUT");
   np(a,n);
   f2.close();
   return 0;
}
